Prepares a report and applies to it a report layout
Report parameters can be send as JSON in body, for example: Run a report with id="487393da-6101-43ef-941c-22ec83f749b6" using Phone layout, TimeZone UTC-5 and pass parameters:
- @DateFrom = 2008-10-06
- @DateThru = 2008-10-13
POST .../487393da-6101-43ef-941c-22ec83f749b6/Prepare
Body:
{ "Phone": "true", "TzOffset": -5, "@DateFrom": "2008-10-06", "@DateThru": "2008-10-13" } Permissions: All users.
Path Parameters
- Type: stringFormat: uuididrequired
Report ID to be executed
Query Parameters
- Type: stringapi
-version
Headers
- Type: stringD
C Key The Integration Key generated for API Authentication by the PAR OPS support team as part of the integration/partnership process.
Body
- additionalPropertyType: stringproperty
Name
Responses
Request Example for post/Reports/{id}/Prepare
curl /Reports/C895A81E-0C20-42C0-B2DC-EAF43F9447BD/Prepare \
--request POST \
--header 'Content-Type: application/json-patch+json' \
--header 'DCKey: YOUR_SECRET_TOKEN' \
--data '{
"additionalProperty": ""
}'
{
"Data": {
"ID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
"Description": null,
"RowCount": 1,
"TableCount": 1,
"LayoutName": null,
"ReportType": null,
"Parameters": [
{
"ID": null,
"Description": null,
"DataValue": null,
"DisplayValue": null,
"Type": null,
"Group": null,
"IsNullAllowed": true,
"ParameterType": null,
"Kind": null,
"IsPayrollDate": true,
"DefaultCalendarID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD"
}
],
"RequestedBy": null,
"RequestedAt": "2019-01-03T04:39:40",
"ExecutionTime": 1,
"ResultID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
"ReportImageSize": 1
}
}